//
//  PhidgetIRCodeInfo.m
//  CocoaIR
//
//  Created by Patrick McNeil on 10-05-19.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "PhidgetIRCodeInfo.h"


@implementation PhidgetIRCodeInfo

- (id)initWithHandle:(CPhidgetIR_CodeInfoHandle)handle
{
	if(self = [super init])
	{
		memcpy(&codeInfo, handle, sizeof(CPhidgetIR_CodeInfo));
	}
	return self;
}

- (CPhidgetIR_CodeInfoHandle)CodeInfo
{
	return &codeInfo;
}

@end
